<script setup lang="ts">
    import SContentContainer from '@/components/layout/SContentContainer.vue'
    import SContextualNavbar from '@/shared/navbar/components/SContextualNavbar.vue'
    import ArticleCodeForm from '@/logisticServiceOffer/components/ArticleCodeForm.vue'
    import { computed } from 'vue'
    import { logisticServiceOfferInjectionKey } from '@/logisticServiceOffer/constants'
    import { requiredInject } from '@/shared/helpers/types'

    const logisticServiceOffer = requiredInject(
        logisticServiceOfferInjectionKey
    )

    const finDeTitre = computed(() => {
        return (
            logisticServiceOffer.value?.gmaoConfiguration.typeDInventaires
                .find(
                    (typeDInventaire) =>
                        typeDInventaire.id ===
                        logisticServiceOffer.value?.typeDInventaireId
                )
                ?.libele.toLocaleLowerCase() ?? 'inventaire'
        )
    })
</script>
<template>
    <s-contextual-navbar :page-title="`Débuter l'${finDeTitre}`" />
    <v-main>
        <s-content-container>
            <article-code-form />
        </s-content-container>
    </v-main>
</template>
